# Struct crossbeam::sync::SegQueue [−] [src]

    pub struct SegQueue<T> {
        // some fields omitted
    }

A Michael-Scott queue that allocates "segments" (arrays of nodes) for efficiency.

Usable with any number of producers and consumers.

## Methods

### `impl<T> SegQueue<T>`

#### `fn new() -> SegQueue<T>`

Create a new, empty queue.

#### `fn push(&self, t: T)`

Add `t` to the back of the queue.

#### `fn try_pop(&self) -> Option<T>`

Attempt to dequeue from the front.

Returns `None` if the queue is observed to be empty.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)